    # File lib/chef/solr_query.rb, line 45
        def initialize(couchdb = nil)
          @filter_query = {}
          @params = {}

          if couchdb.nil?
            @database = Chef::Config[:couchdb_database]
            @couchdb = Chef::CouchDB.new(nil, Chef::Config[:couchdb_database])
          else
            unless couchdb.respond_to?(:couchdb_database)
              Chef::Log.warn("Passing the database name to Chef::Solr::Query initialization is deprecated. Please pass in the Chef::CouchDB object instead.")
              @database = couchdb
              @couchdb = Chef::CouchDB.new(nil, couchdb)
            else
              @database = couchdb.couchdb_database
              @couchdb = couchdb
            end
          end
        end